/**
 * directory.js
 * GraphQL resolvers
 */
'use strict';

const directoryResolveFunctions = {

  Directory: {
    users(directory, args, context) {
      context.incrementResolverCount();
      var usersArgs = {};
      usersArgs.directoryId = directory.id;
      return context.workflow.service.invoke('getUsers', context.workflow.context, usersArgs);
    },
    groups(directory, args, context) {
     context.incrementResolverCount();
     var groupsArgs = {};
     groupsArgs.directoryId = directory.id;
     return context.workflow.service.invoke('getGroups', context.workflow.context, groupsArgs);
    }
  }

};

module.exports = directoryResolveFunctions;
