/**
 * favorite.js
 * GraphQL resolvers
 */
'use strict';

const favoriteResolveFunctions = {
  Favorite: {
    owner(favorite, args, context) {
      context.incrementResolverCount();
      return context.loaders.users.load(favorite.ownerId);
    },
    item(favorite, args, context) {
      context.incrementResolverCount();
      args.id = favorite.itemId;
      if (favorite.type=="PROCESS") {
        return context.workflow.service.invoke('getProcess', context.workflow.context, args);
      }
      else{
        return context.workflow.service.invoke('getView', context.workflow.context, args);
      }
    }
  }
};

module.exports = favoriteResolveFunctions;
