/**
 * group.js
 * GraphQL resolvers
 */
'use strict';

const groupResolveFunctions = {

 Group: {
    directory(group, args, context) {
      if(group.directoryId){
        context.incrementResolverCount();
        var directoryArgs = {};
        directoryArgs.id = group.directoryId;
        return context.workflow.service.invoke('getDirectory', context.workflow.context, directoryArgs);
      }
      else{
        return null;
      }
    },
    users(group, args, context) {
      context.incrementResolverCount();
      var usersArgs = {};
      usersArgs.groupId = group.id;
      return context.workflow.service.invoke('getUsers', context.workflow.context, usersArgs);
    }
  }
};

module.exports = groupResolveFunctions;
