/**
 * @license Copyright (c) 2014 Advantys
 *
 * All rights are reserved. Reproduction or transmission in whole or in part, in
 * any form or by any means, electronic, mechanical or otherwise, is prohibited
 * without the prior written permission of the copyright owner.
 *
 * $Author: francois $
 * $Date: 2017/04/19 19:50:11 $
 * $Revision: 1.1.2.4 $
 */

$(document).ready(function () {
    $("input[type=radio][name=CONDITION_LANG]").change(function() {
        if (this.value == "JS") {
            editorCondition.session.setMode("ace/mode/javascript-wfg");
            $(".JS").each(function(){
                $(this).show();
            });
            $(".VBS").each(function(){
                $(this).hide();
            });
        }
        else if (this.value == "VBS") {
            editorCondition.session.setMode("ace/mode/vbscript");
            editorCondition.getSession().getMode().$highlightRules.setKeywords({"data": dataList, "macro" : macroList});
            $(".JS").each(function(){
                $(this).hide();
            });
            $(".VBS").each(function(){
                $(this).show();
            });
        }
        editorCondition.setTheme("ace/theme/visualstudio");
    });
});

function initConditionEditorContent(blnActive) {
    var strBody = null;
    if(blnActive){
        editorCondition.getSession().setValue("");
        strBody = blnActive ? editorContent : "<OTHERWISE>";
        editorCondition.getSession().setValue(strBody);
        editorCondition.setReadOnly(false);
    }
    else {
        editorCondition.getSession().setValue("");
        strBody = "<OTHERWISE>";
        editorCondition.getSession().setValue(strBody);
        editorCondition.setReadOnly(true);
    }
    initEditor(blnActive,strBody);
    enableSaveButtons();
}

function initConditionEditor(){
    var langTools = ace.require("ace/ext/language_tools"); 
    editorCondition = ace.edit("ColoredTextEditor_PRE");
    if (conditionLang == "JS"){
        editorCondition.getSession().setMode("ace/mode/javascript-wfg");
    }
    else{
        editorCondition.getSession().setMode("ace/mode/vbscript");
        editorCondition.getSession().getMode().$highlightRules.setKeywords({"data": dataList, "macro" : macroList});
    }
    editorCondition.setTheme("ace/theme/visualstudio");
    editorCondition.renderer.setShowGutter(false);  
    editorCondition.setOptions({enableBasicAutocompletion: true, enableSnippets : true});
    editorCondition.getSelectedText = function() { return this.session.getTextRange(this.getSelectionRange()) }

    editorCondition.getSession().on("change", function(){ enableSaveButtons(); });

    //Add keywords
    var completer = { 
        getCompletions: function(editorCondition, session, pos, prefix, callback) { 
            var completions = tabMacroData;
            callback(null, completions); 
        } 
    };
    langTools.addCompleter(completer);

    //Adding our macros to the data list
    dataList += "<OTHERWISE>"
    langTools.removeKeywords(); // ?
    editorCondition.resize(); 
    langTools.removeLocalKeywords(); //Remove local keywords
    editorCondition.setShowPrintMargin(false); //Remove line margin
    editorCondition.getSession().setUseWrapMode(true); //Wrap mode
}

